# IP Reporter

IP Reporter is a C++-based tool for network administrators to monitor and capture IP and MAC addresses of network devices. It provides a simple graphical user interface (GUI) to display and export the captured data. The tool is useful for managing network devices, especially in environments like mining farms where multiple devices need to be tracked. Currently, this only works on Antminer machines as it's what I have access to.

## Build Instructions

### Prerequisites

Ensure you have the following dependencies installed on your Arch Linux system:

- Qt6
- libpcap
- GCC (or another C++ compiler)

I'm not putting instructions on install for these as it's really a personal project.

### Build

```sh
git clone https://codeberg.org/ampersandcastles/ip-reporter-cpp
cd ip-reporter-cpp
g++ src/main.cpp -o ip_reporter `pkg-config --cflags --libs Qt6Widgets` -lpcap
sudo setcap cap_net_raw=eip ./ip_reporter
./ip_reporter
```

the `setcap` command is needed to allow the program to capture packets without needing to be run as root. This is a security risk, so be careful with this.